#!/bin/bash

source config.sh

echo "Starting... on " $(date)

#Cosmological signal
echo "Running cosmological signal" $(date)
mkdir ${cosmo_dirname}
./write_GetHI_params.sh
${GETHI} ${cosmo_dirname}/param.txt
echo " "

#Galactic synchrotron
echo "Running galactic synchrotron" $(date)
mkdir ${synchrotron_dirname}
./write_ForGet_params.sh galactic_synchrotron
${FORGET} ${synchrotron_dirname}/param.txt
echo " "

#Galactic free-free
echo "Running galactic free-free" $(date)
mkdir ${galactic_freefree_dirname}
./write_ForGet_params.sh galactic_freefree
${FORGET} ${galactic_freefree_dirname}/param.txt
echo " "

#Extragalactic free-free
echo "Running extragalactic free-free" $(date)
mkdir ${extragalactic_freefree_dirname}
./write_ForGet_params.sh extragalactic_freefree
${FORGET} ${extragalactic_freefree_dirname}/param.txt
echo " "

#Point sources
echo "Running point sources" $(date)
mkdir ${point_sources_dirname}
./write_ForGet_params.sh point_sources
${FORGET} ${point_sources_dirname}/param.txt
echo " "

#Get catalog
echo "Compiling catalog" $(date)
mkdir ${catalog_dirname}
./write_JoinT_params.sh
${JOINT} ${catalog_dirname}/param.txt
echo " "

echo "Done!" $(date)
