#!/bin/bash

source config.sh

fname_params="${cosmo_dirname}/param.txt"
prefix_out="${cosmo_dirname}/${cosmo_prefix}"

cat > ${fname_params} <<EOF
#File names
output_prefix= ${prefix_out}
pk_filename= ${pk_filename}

#Cosmological parameters
omega_M= ${omega_M}
omega_L= ${omega_L}
omega_B= ${omega_B}
h= ${hhubble}
w= ${weos}
ns= ${nscal}
sigma_8= ${sigma_8}

#Frequency range for output
nu_min= ${nu_min}
nu_max= ${nu_max}
n_nu= ${n_nu}

#Angular resolution for output
n_side= ${n_side}

#Grid parameters
n_grid= ${n_grid}

#RNG seed
seed= ${seed}

#Output format
# 0 - SINGLE SLICE FILES
# 1 - ALL SLICES IN 1 FILE
# 2 - 0 + 1
output_format= 0
EOF
